gdb: fix vfork with multiple threads
[deliverable/binutils-gdb.git] / sim / Makefile.in
CommitLineData
6bddc3e8
MF
1# Makefile.in generated by automake 1.15.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Copyright (C) 1993-2021 Free Software Foundation, Inc.
19#
c906108c
SS
20# This program is free software; you can redistribute it and/or modify
21# it under the terms of the GNU General Public License as published by
4744ac1b 22# the Free Software Foundation; either version 3 of the License, or
c906108c 23# (at your option) any later version.
4744ac1b 24#
c906108c
SS
25# This program is distributed in the hope that it will be useful,
26# but WITHOUT ANY WARRANTY; without even the implied warranty of
27# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28# GNU General Public License for more details.
4744ac1b 29#
c906108c 30# You should have received a copy of the GNU General Public License
4744ac1b 31# along with this program. If not, see <http://www.gnu.org/licenses/>.
6c57b87f 32
5bea0c32
MF
33#
34# Copyright (C) 1997-2021 Free Software Foundation, Inc.
35#
36# This program is free software; you can redistribute it and/or modify
37# it under the terms of the GNU General Public License as published by
38# the Free Software Foundation; either version 3 of the License, or
39# (at your option) any later version.
40#
41# This program is distributed in the hope that it will be useful,
42# but WITHOUT ANY WARRANTY; without even the implied warranty of
43# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44# GNU General Public License for more details.
45#
46# You should have received a copy of the GNU General Public License
47# along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49# Parts of the common/ sim code that have been unified.
50# Most still lives in common/Make-common.in.
51
b6b1c790
MF
52# The IGEN simulator generator for GDB, the GNU Debugger.
53#
54# Copyright 2002-2021 Free Software Foundation, Inc.
55#
56# Contributed by Andrew Cagney.
57#
58# This file is part of GDB.
59#
60# This program is free software; you can redistribute it and/or modify
61# it under the terms of the GNU General Public License as published by
62# the Free Software Foundation; either version 3 of the License, or
63# (at your option) any later version.
64#
65# This program is distributed in the hope that it will be useful,
66# but WITHOUT ANY WARRANTY; without even the implied warranty of
67# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68# GNU General Public License for more details.
69#
70# You should have received a copy of the GNU General Public License
71# along with this program. If not, see <http://www.gnu.org/licenses/>.
72
6c57b87f
MF
73#
74# Copyright (C) 1997-2021 Free Software Foundation, Inc.
75#
76# This program is free software; you can redistribute it and/or modify
77# it under the terms of the GNU General Public License as published by
78# the Free Software Foundation; either version 3 of the License, or
79# (at your option) any later version.
80#
81# This program is distributed in the hope that it will be useful,
82# but WITHOUT ANY WARRANTY; without even the implied warranty of
83# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84# GNU General Public License for more details.
85#
86# You should have received a copy of the GNU General Public License
87# along with this program. If not, see <http://www.gnu.org/licenses/>.
b6b1c790 88
a389375f
MF
89# Copyright (C) 1997-2021 Free Software Foundation, Inc.
90#
91# This program is free software; you can redistribute it and/or modify
92# it under the terms of the GNU General Public License as published by
93# the Free Software Foundation; either version 3 of the License, or
94# (at your option) any later version.
95#
96# This program is distributed in the hope that it will be useful,
97# but WITHOUT ANY WARRANTY; without even the implied warranty of
98# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99# GNU General Public License for more details.
100#
101# You should have received a copy of the GNU General Public License
102# along with this program. If not, see <http://www.gnu.org/licenses/>.
103
92bc001e 104
c906108c 105VPATH = @srcdir@
6bddc3e8
MF
106am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116}
117am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161pkgdatadir = $(datadir)/@PACKAGE@
162pkgincludedir = $(includedir)/@PACKAGE@
163pkglibdir = $(libdir)/@PACKAGE@
164pkglibexecdir = $(libexecdir)/@PACKAGE@
165am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166install_sh_DATA = $(install_sh) -c -m 644
167install_sh_PROGRAM = $(install_sh) -c
168install_sh_SCRIPT = $(install_sh) -c
169INSTALL_HEADER = $(INSTALL_DATA)
170transform = $(program_transform_name)
171NORMAL_INSTALL = :
172PRE_INSTALL = :
173POST_INSTALL = :
174NORMAL_UNINSTALL = :
175PRE_UNINSTALL = :
176POST_UNINSTALL = :
177build_triplet = @build@
178host_triplet = @host@
179target_triplet = @target@
a389375f
MF
180check_PROGRAMS = $(am__EXEEXT_3)
181EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
5bea0c32
MF
183
184# This makes sure igen is available before building the arch-subdirs which
185# need to run the igen tool.
186@SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187@SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
b6b1c790 188@SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
5bea0c32 189@SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
a389375f
MF
190TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
6bddc3e8
MF
195subdir = .
196ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
6dd65fc0
MF
197am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
ce3ec98a 199 $(top_srcdir)/../config/gettext-sister.m4 \
6bddc3e8 200 $(top_srcdir)/../config/lead-dot.m4 \
c2783492 201 $(top_srcdir)/../config/override.m4 \
d57b6533 202 $(top_srcdir)/../config/pkg.m4 \
b5689863
MF
203 $(top_srcdir)/../config/plugins.m4 \
204 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \
205 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
206 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
ba307cdd 207 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
dba333c1 208 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
1bf5c342 209 $(top_srcdir)/m4/sim_ac_option_cgen_maint.m4 \
04381273 210 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
f9a4d543 211 $(top_srcdir)/m4/sim_ac_option_endian.m4 \
5ea45474 212 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
456ef1c1 213 $(top_srcdir)/m4/sim_ac_option_hardware.m4 \
d73f39ee 214 $(top_srcdir)/m4/sim_ac_option_inline.m4 \
04381273 215 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
7eb1f99a 216 $(top_srcdir)/m4/sim_ac_option_reserved_bits.m4 \
b79efe26 217 $(top_srcdir)/m4/sim_ac_option_scache.m4 \
04381273
MF
218 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
219 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
47ce766a 220 $(top_srcdir)/m4/sim_ac_option_warnings.m4 \
b15c5d7a 221 $(top_srcdir)/m4/sim_ac_platform.m4 \
c2783492 222 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
408a44aa
MF
223 $(top_srcdir)/frv/acinclude.m4 $(top_srcdir)/rx/acinclude.m4 \
224 $(top_srcdir)/configure.ac
6bddc3e8
MF
225am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
226 $(ACLOCAL_M4)
227DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
92bc001e 228 $(am__configure_deps) $(pkginclude_HEADERS)
6bddc3e8
MF
229am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
230 configure.lineno config.status.lineno
231mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
b15c5d7a 232CONFIG_HEADER = config.h
36bb57e4 233CONFIG_CLEAN_FILES = Make-common.sim aarch64/Makefile.sim \
d8b04da7 234 arm/Makefile.sim avr/Makefile.sim bfin/Makefile.sim \
408a44aa
MF
235 cr16/Makefile.sim cris/Makefile.sim d10v/Makefile.sim \
236 frv/Makefile.sim ft32/Makefile.sim h8300/Makefile.sim \
237 iq2000/Makefile.sim lm32/Makefile.sim m32c/Makefile.sim \
313c332f 238 m32r/Makefile.sim m68hc11/Makefile.sim mcore/Makefile.sim \
408a44aa
MF
239 microblaze/Makefile.sim moxie/Makefile.sim msp430/Makefile.sim \
240 pru/Makefile.sim rl78/Makefile.sim rx/Makefile.sim \
241 sh/Makefile.sim erc32/Makefile.sim \
5d0b3088 242 example-synacor/Makefile.sim arch-subdir.mk
6bddc3e8 243CONFIG_CLEAN_VPATH_FILES =
b6b1c790
MF
244LIBRARIES = $(noinst_LIBRARIES)
245ARFLAGS = cru
246AM_V_AR = $(am__v_AR_@AM_V@)
247am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
248am__v_AR_0 = @echo " AR " $@;
249am__v_AR_1 =
5bea0c32
MF
250common_libcommon_a_AR = $(AR) $(ARFLAGS)
251common_libcommon_a_LIBADD =
252am__dirstamp = $(am__leading_dot)dirstamp
dd8e16ea 253am_common_libcommon_a_OBJECTS = \
ad9cc209 254 common/common_libcommon_a-portability.$(OBJEXT) \
dd8e16ea
MF
255 common/common_libcommon_a-sim-load.$(OBJEXT) \
256 common/common_libcommon_a-version.$(OBJEXT)
5bea0c32 257common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
b6b1c790
MF
258igen_libigen_a_AR = $(AR) $(ARFLAGS)
259igen_libigen_a_LIBADD =
b6b1c790
MF
260@SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
261@SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
262@SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
263@SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
264@SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
265@SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
266@SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
267@SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
268@SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
269@SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
270@SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
271@SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
272@SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
273@SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
274@SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
275@SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
276igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
277@SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
278@SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
279@SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
280@SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
281@SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
282@SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
283@SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
a389375f
MF
284am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
285 testsuite/common/bits32m31$(EXEEXT) \
286 testsuite/common/bits64m0$(EXEEXT) \
287 testsuite/common/bits64m63$(EXEEXT) \
288 testsuite/common/alu-tst$(EXEEXT)
b6b1c790
MF
289am_igen_filter_OBJECTS =
290igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
291@SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
292@SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
b5689863
MF
293AM_V_lt = $(am__v_lt_@AM_V@)
294am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
295am__v_lt_0 = --silent
296am__v_lt_1 =
b6b1c790
MF
297am_igen_gen_OBJECTS =
298igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
299@SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
300@SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
301@SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
302igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
303@SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
304am_igen_ld_cache_OBJECTS =
305igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
306@SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
307@SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
308am_igen_ld_decode_OBJECTS =
309igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
310@SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
311@SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
312am_igen_ld_insn_OBJECTS =
313igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
314@SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
315@SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
316am_igen_table_OBJECTS =
317igen_table_OBJECTS = $(am_igen_table_OBJECTS)
318@SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
319@SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
a389375f
MF
320testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
321testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
322testsuite_common_alu_tst_LDADD = $(LDADD)
323testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
324testsuite_common_bits_gen_OBJECTS = \
325 testsuite/common/bits-gen.$(OBJEXT)
326testsuite_common_bits_gen_LDADD = $(LDADD)
327testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
328testsuite_common_bits32m0_OBJECTS = \
329 testsuite/common/bits32m0.$(OBJEXT)
330testsuite_common_bits32m0_LDADD = $(LDADD)
331testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
332testsuite_common_bits32m31_OBJECTS = \
333 testsuite/common/bits32m31.$(OBJEXT)
334testsuite_common_bits32m31_LDADD = $(LDADD)
335testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
336testsuite_common_bits64m0_OBJECTS = \
337 testsuite/common/bits64m0.$(OBJEXT)
338testsuite_common_bits64m0_LDADD = $(LDADD)
339testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
340testsuite_common_bits64m63_OBJECTS = \
341 testsuite/common/bits64m63.$(OBJEXT)
342testsuite_common_bits64m63_LDADD = $(LDADD)
343testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
344testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
345testsuite_common_fpu_tst_LDADD = $(LDADD)
6bddc3e8
MF
346AM_V_P = $(am__v_P_@AM_V@)
347am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
348am__v_P_0 = false
349am__v_P_1 = :
350AM_V_GEN = $(am__v_GEN_@AM_V@)
351am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
352am__v_GEN_0 = @echo " GEN " $@;
353am__v_GEN_1 =
354AM_V_at = $(am__v_at_@AM_V@)
355am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
356am__v_at_0 = @
357am__v_at_1 =
b6b1c790
MF
358DEFAULT_INCLUDES = -I.@am__isrc@
359depcomp = $(SHELL) $(top_srcdir)/../depcomp
360am__depfiles_maybe = depfiles
361am__mv = mv -f
362COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
363 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
b5689863
MF
364LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
365 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
366 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
367 $(AM_CFLAGS) $(CFLAGS)
b6b1c790
MF
368AM_V_CC = $(am__v_CC_@AM_V@)
369am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
370am__v_CC_0 = @echo " CC " $@;
371am__v_CC_1 =
372CCLD = $(CC)
b5689863
MF
373LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
374 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
375 $(AM_LDFLAGS) $(LDFLAGS) -o $@
b6b1c790
MF
376AM_V_CCLD = $(am__v_CCLD_@AM_V@)
377am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
378am__v_CCLD_0 = @echo " CCLD " $@;
379am__v_CCLD_1 =
5bea0c32
MF
380SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
381 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
382 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
383 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
384 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
385 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
386 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
387 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
6bddc3e8
MF
388RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
389 ctags-recursive dvi-recursive html-recursive info-recursive \
390 install-data-recursive install-dvi-recursive \
391 install-exec-recursive install-html-recursive \
392 install-info-recursive install-pdf-recursive \
393 install-ps-recursive install-recursive installcheck-recursive \
394 installdirs-recursive pdf-recursive ps-recursive \
395 tags-recursive uninstall-recursive
396am__can_run_installinfo = \
397 case $$AM_UPDATE_INFO_DIR in \
398 n|no|NO) false;; \
399 *) (install-info --version) >/dev/null 2>&1;; \
400 esac
92bc001e
MF
401am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
402am__vpath_adj = case $$p in \
403 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
404 *) f=$$p;; \
405 esac;
406am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
407am__install_max = 40
408am__nobase_strip_setup = \
409 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
410am__nobase_strip = \
411 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
412am__nobase_list = $(am__nobase_strip_setup); \
413 for p in $$list; do echo "$$p $$p"; done | \
414 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
415 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
416 if (++n[$$2] == $(am__install_max)) \
417 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
418 END { for (dir in files) print dir, files[dir] }'
419am__base_list = \
420 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
421 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
422am__uninstall_files_from_dir = { \
423 test -z "$$files" \
424 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
425 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
426 $(am__cd) "$$dir" && rm -f $$files; }; \
427 }
428am__installdirs = "$(DESTDIR)$(pkgincludedir)"
429HEADERS = $(pkginclude_HEADERS)
6bddc3e8
MF
430RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
431 distclean-recursive maintainer-clean-recursive
432am__recursive_targets = \
433 $(RECURSIVE_TARGETS) \
434 $(RECURSIVE_CLEAN_TARGETS) \
435 $(am__extra_recursive_targets)
436AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
a389375f 437 cscope check recheck
b15c5d7a
MF
438am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
439 $(LISP)config.h.in
6bddc3e8
MF
440# Read a list of newline-separated strings from the standard input,
441# and print each of them once, without duplicates. Input order is
442# *not* preserved.
443am__uniquify_input = $(AWK) '\
444 BEGIN { nonempty = 0; } \
445 { items[$$0] = 1; nonempty = 1; } \
446 END { if (nonempty) { for (i in items) print i; }; } \
447'
448# Make sure the list of sources is unique. This is necessary because,
449# e.g., the same source file might be shared among _SOURCES variables
450# for different programs/libraries.
451am__define_uniq_tagged_files = \
452 list='$(am__tagged_files)'; \
453 unique=`for i in $$list; do \
454 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
455 done | $(am__uniquify_input)`
456ETAGS = etags
457CTAGS = ctags
458CSCOPE = cscope
6c57b87f
MF
459DEJATOOL = $(PACKAGE)
460RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
461EXPECT = expect
462RUNTEST = runtest
a389375f
MF
463am__tty_colors_dummy = \
464 mgn= red= grn= lgn= blu= brg= std=; \
465 am__color_tests=no
466am__tty_colors = { \
467 $(am__tty_colors_dummy); \
468 if test "X$(AM_COLOR_TESTS)" = Xno; then \
469 am__color_tests=no; \
470 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
471 am__color_tests=yes; \
472 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
473 am__color_tests=yes; \
474 fi; \
475 if test $$am__color_tests = yes; then \
476 red='\e[0;31m'; \
477 grn='\e[0;32m'; \
478 lgn='\e[1;32m'; \
479 blu='\e[1;34m'; \
480 mgn='\e[0;35m'; \
481 brg='\e[1m'; \
482 std='\e[m'; \
483 fi; \
484}
a389375f
MF
485am__recheck_rx = ^[ ]*:recheck:[ ]*
486am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
487am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
488# A command that, given a newline-separated list of test names on the
489# standard input, print the name of the tests that are to be re-run
490# upon "make recheck".
491am__list_recheck_tests = $(AWK) '{ \
492 recheck = 1; \
493 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
494 { \
495 if (rc < 0) \
496 { \
497 if ((getline line2 < ($$0 ".log")) < 0) \
498 recheck = 0; \
499 break; \
500 } \
501 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
502 { \
503 recheck = 0; \
504 break; \
505 } \
506 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
507 { \
508 break; \
509 } \
510 }; \
511 if (recheck) \
512 print $$0; \
513 close ($$0 ".trs"); \
514 close ($$0 ".log"); \
515}'
516# A command that, given a newline-separated list of test names on the
517# standard input, create the global log from their .trs and .log files.
518am__create_global_log = $(AWK) ' \
519function fatal(msg) \
520{ \
521 print "fatal: making $@: " msg | "cat >&2"; \
522 exit 1; \
523} \
524function rst_section(header) \
525{ \
526 print header; \
527 len = length(header); \
528 for (i = 1; i <= len; i = i + 1) \
529 printf "="; \
530 printf "\n\n"; \
531} \
532{ \
533 copy_in_global_log = 1; \
534 global_test_result = "RUN"; \
535 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
536 { \
537 if (rc < 0) \
538 fatal("failed to read from " $$0 ".trs"); \
539 if (line ~ /$(am__global_test_result_rx)/) \
540 { \
541 sub("$(am__global_test_result_rx)", "", line); \
542 sub("[ ]*$$", "", line); \
543 global_test_result = line; \
544 } \
545 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
546 copy_in_global_log = 0; \
547 }; \
548 if (copy_in_global_log) \
549 { \
550 rst_section(global_test_result ": " $$0); \
551 while ((rc = (getline line < ($$0 ".log"))) != 0) \
552 { \
553 if (rc < 0) \
554 fatal("failed to read from " $$0 ".log"); \
555 print line; \
556 }; \
557 printf "\n"; \
558 }; \
559 close ($$0 ".trs"); \
560 close ($$0 ".log"); \
561}'
562# Restructured Text title.
563am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
564# Solaris 10 'make', and several other traditional 'make' implementations,
565# pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
566# by disabling -e (using the XSI extension "set +e") if it's set.
567am__sh_e_setup = case $$- in *e*) set +e;; esac
568# Default flags passed to test drivers.
569am__common_driver_flags = \
570 --color-tests "$$am__color_tests" \
571 --enable-hard-errors "$$am__enable_hard_errors" \
572 --expect-failure "$$am__expect_failure"
573# To be inserted before the command running the test. Creates the
574# directory for the log if needed. Stores in $dir the directory
575# containing $f, in $tst the test, in $log the log. Executes the
576# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
577# passes TESTS_ENVIRONMENT. Set up options for the wrapper that
578# will run the test scripts (or their associated LOG_COMPILER, if
579# thy have one).
580am__check_pre = \
581$(am__sh_e_setup); \
582$(am__vpath_adj_setup) $(am__vpath_adj) \
583$(am__tty_colors); \
584srcdir=$(srcdir); export srcdir; \
585case "$@" in \
586 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
587 *) am__odir=.;; \
588esac; \
589test "x$$am__odir" = x"." || test -d "$$am__odir" \
590 || $(MKDIR_P) "$$am__odir" || exit $$?; \
591if test -f "./$$f"; then dir=./; \
592elif test -f "$$f"; then dir=; \
593else dir="$(srcdir)/"; fi; \
594tst=$$dir$$f; log='$@'; \
595if test -n '$(DISABLE_HARD_ERRORS)'; then \
596 am__enable_hard_errors=no; \
597else \
598 am__enable_hard_errors=yes; \
599fi; \
600case " $(XFAIL_TESTS) " in \
601 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
602 am__expect_failure=yes;; \
603 *) \
604 am__expect_failure=no;; \
605esac; \
606$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
607# A shell command to get the names of the tests scripts with any registered
608# extension removed (i.e., equivalently, the names of the test logs, with
609# the '.log' extension removed). The result is saved in the shell variable
610# '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
611# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
612# since that might cause problem with VPATH rewrites for suffix-less tests.
613# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
614am__set_TESTS_bases = \
615 bases='$(TEST_LOGS)'; \
616 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
617 bases=`echo $$bases`
618RECHECK_LOGS = $(TEST_LOGS)
619TEST_SUITE_LOG = test-suite.log
620TEST_EXTENSIONS = @EXEEXT@ .test
621LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
622LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
623am__set_b = \
624 case '$@' in \
625 */*) \
626 case '$*' in \
627 */*) b='$*';; \
628 *) b=`echo '$@' | sed 's/\.log$$//'`; \
629 esac;; \
630 *) \
631 b='$*';; \
632 esac
633am__test_logs1 = $(TESTS:=.log)
634am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
635TEST_LOGS = $(am__test_logs2:.test.log=.log)
636TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
637TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
638 $(TEST_LOG_FLAGS)
6bddc3e8
MF
639DIST_SUBDIRS = $(SUBDIRS)
640ACLOCAL = @ACLOCAL@
641AMTAR = @AMTAR@
642AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
643AR = @AR@
aa0fca16 644AR_FOR_BUILD = @AR_FOR_BUILD@
6bddc3e8
MF
645AUTOCONF = @AUTOCONF@
646AUTOHEADER = @AUTOHEADER@
647AUTOMAKE = @AUTOMAKE@
648AWK = @AWK@
ce3ec98a
MF
649CATALOGS = @CATALOGS@
650CATOBJEXT = @CATOBJEXT@
6bddc3e8
MF
651CC = @CC@
652CCDEPMODE = @CCDEPMODE@
653CC_FOR_BUILD = @CC_FOR_BUILD@
654CFLAGS = @CFLAGS@
655CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
1bf5c342 656CGEN_MAINT = @CGEN_MAINT@
6bddc3e8
MF
657CPP = @CPP@
658CPPFLAGS = @CPPFLAGS@
659CYGPATH_W = @CYGPATH_W@
c2783492 660C_DIALECT = @C_DIALECT@
ce3ec98a 661DATADIRNAME = @DATADIRNAME@
6bddc3e8
MF
662DEFS = @DEFS@
663DEPDIR = @DEPDIR@
b5689863 664DSYMUTIL = @DSYMUTIL@
a979f2a0 665DTC = @DTC@
b5689863 666DUMPBIN = @DUMPBIN@
6bddc3e8
MF
667ECHO_C = @ECHO_C@
668ECHO_N = @ECHO_N@
669ECHO_T = @ECHO_T@
c2783492 670EGREP = @EGREP@
6bddc3e8 671EXEEXT = @EXEEXT@
b5689863 672FGREP = @FGREP@
ce3ec98a
MF
673GENCAT = @GENCAT@
674GMSGFMT = @GMSGFMT@
c2783492 675GREP = @GREP@
ce3ec98a 676INCINTL = @INCINTL@
6bddc3e8
MF
677INSTALL = @INSTALL@
678INSTALL_DATA = @INSTALL_DATA@
679INSTALL_PROGRAM = @INSTALL_PROGRAM@
680INSTALL_SCRIPT = @INSTALL_SCRIPT@
681INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
ce3ec98a 682INSTOBJEXT = @INSTOBJEXT@
b5689863 683LD = @LD@
6bddc3e8 684LDFLAGS = @LDFLAGS@
c2783492 685LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
ce3ec98a
MF
686LIBINTL = @LIBINTL@
687LIBINTL_DEP = @LIBINTL_DEP@
6bddc3e8
MF
688LIBOBJS = @LIBOBJS@
689LIBS = @LIBS@
b5689863
MF
690LIBTOOL = @LIBTOOL@
691LIPO = @LIPO@
692LN_S = @LN_S@
6bddc3e8 693LTLIBOBJS = @LTLIBOBJS@
8c379db2 694MAINT = @MAINT@
6bddc3e8
MF
695MAKEINFO = @MAKEINFO@
696MKDIR_P = @MKDIR_P@
b5689863
MF
697NM = @NM@
698NMEDIT = @NMEDIT@
699OBJDUMP = @OBJDUMP@
6bddc3e8 700OBJEXT = @OBJEXT@
b5689863
MF
701OTOOL = @OTOOL@
702OTOOL64 = @OTOOL64@
6bddc3e8
MF
703PACKAGE = @PACKAGE@
704PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
705PACKAGE_NAME = @PACKAGE_NAME@
706PACKAGE_STRING = @PACKAGE_STRING@
707PACKAGE_TARNAME = @PACKAGE_TARNAME@
708PACKAGE_URL = @PACKAGE_URL@
709PACKAGE_VERSION = @PACKAGE_VERSION@
710PATH_SEPARATOR = @PATH_SEPARATOR@
6dd65fc0 711PKGVERSION = @PKGVERSION@
d57b6533
MF
712PKG_CONFIG = @PKG_CONFIG@
713PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
714PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
ce3ec98a 715POSUB = @POSUB@
6bddc3e8 716RANLIB = @RANLIB@
aa0fca16 717RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
5d0b3088
MF
718READLINE_CFLAGS = @READLINE_CFLAGS@
719READLINE_LIB = @READLINE_LIB@
6dd65fc0
MF
720REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
721REPORT_BUGS_TO = @REPORT_BUGS_TO@
d57b6533
MF
722SDL_CFLAGS = @SDL_CFLAGS@
723SDL_LIBS = @SDL_LIBS@
b5689863 724SED = @SED@
6bddc3e8
MF
725SET_MAKE = @SET_MAKE@
726SHELL = @SHELL@
36bb57e4
MF
727SIM_COMMON_BUILD_FALSE = @SIM_COMMON_BUILD_FALSE@
728SIM_COMMON_BUILD_TRUE = @SIM_COMMON_BUILD_TRUE@
408a44aa 729SIM_FRV_TRAPDUMP_FLAGS = @SIM_FRV_TRAPDUMP_FLAGS@
d73f39ee 730SIM_INLINE = @SIM_INLINE@
a0e674c1 731SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
e173c80f 732SIM_RX_CYCLE_ACCURATE_FLAGS = @SIM_RX_CYCLE_ACCURATE_FLAGS@
36bb57e4 733SIM_SUBDIRS = @SIM_SUBDIRS@
6bddc3e8 734STRIP = @STRIP@
5d0b3088 735TERMCAP_LIB = @TERMCAP_LIB@
ce3ec98a 736USE_NLS = @USE_NLS@
6bddc3e8 737VERSION = @VERSION@
47ce766a
MF
738WARN_CFLAGS = @WARN_CFLAGS@
739WERROR_CFLAGS = @WERROR_CFLAGS@
ce3ec98a 740XGETTEXT = @XGETTEXT@
6bddc3e8 741abs_builddir = @abs_builddir@
5e25901f 742abs_srcdir = @abs_srcdir@
6bddc3e8
MF
743abs_top_builddir = @abs_top_builddir@
744abs_top_srcdir = @abs_top_srcdir@
745ac_ct_CC = @ac_ct_CC@
b5689863 746ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
6bddc3e8
MF
747am__include = @am__include@
748am__leading_dot = @am__leading_dot@
749am__quote = @am__quote@
750am__tar = @am__tar@
751am__untar = @am__untar@
752bindir = @bindir@
753build = @build@
754build_alias = @build_alias@
755build_cpu = @build_cpu@
756build_os = @build_os@
757build_vendor = @build_vendor@
758builddir = @builddir@
1bf5c342
MF
759cgen = @cgen@
760cgendir = @cgendir@
6bddc3e8
MF
761datadir = @datadir@
762datarootdir = @datarootdir@
763docdir = @docdir@
764dvidir = @dvidir@
c906108c 765exec_prefix = @exec_prefix@
6bddc3e8 766host = @host@
c906108c 767host_alias = @host_alias@
6bddc3e8
MF
768host_cpu = @host_cpu@
769host_os = @host_os@
770host_vendor = @host_vendor@
771htmldir = @htmldir@
772includedir = @includedir@
773infodir = @infodir@
774install_sh = @install_sh@
c906108c 775libdir = @libdir@
6bddc3e8
MF
776libexecdir = @libexecdir@
777localedir = @localedir@
778localstatedir = @localstatedir@
b5689863 779lt_cv_dlopen_libs = @lt_cv_dlopen_libs@
c906108c 780mandir = @mandir@
6bddc3e8
MF
781mkdir_p = @mkdir_p@
782oldincludedir = @oldincludedir@
783pdfdir = @pdfdir@
784prefix = @prefix@
785program_transform_name = @program_transform_name@
786psdir = @psdir@
787sbindir = @sbindir@
788sharedstatedir = @sharedstatedir@
36bb57e4 789sim_bitsize = @sim_bitsize@
36bb57e4 790sim_float = @sim_float@
456ef1c1
MF
791sim_hw_cflags = @sim_hw_cflags@
792sim_hw_sockser = @sim_hw_sockser@
6bddc3e8
MF
793srcdir = @srcdir@
794subdirs = @subdirs@
795sysconfdir = @sysconfdir@
796target = @target@
797target_alias = @target_alias@
798target_cpu = @target_cpu@
799target_os = @target_os@
800target_vendor = @target_vendor@
801top_build_prefix = @top_build_prefix@
802top_builddir = @top_builddir@
803top_srcdir = @top_srcdir@
b5689863
MF
804zlibdir = @zlibdir@
805zlibinc = @zlibinc@
6c57b87f 806AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
c2783492 807ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
6bddc3e8 808srcroot = $(srcdir)/..
36bb57e4 809SUBDIRS = @subdirs@ $(SIM_SUBDIRS)
a0e674c1 810AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
5bea0c32
MF
811
812# NB: libcommon.a isn't used directly by ports. We need a target for common
813# objects to be a part of, and ports use the individual objects directly.
814noinst_LIBRARIES = common/libcommon.a $(am__append_2)
015f7b74
MF
815CLEANFILES = common/version.c common/version.c-stamp \
816 testsuite/common/bits-gen testsuite/common/bits32m0.c \
a389375f
MF
817 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
818 testsuite/common/bits64m63.c
819DISTCLEANFILES =
5bea0c32 820MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
b6b1c790 821 testrun.sum
47ce766a 822AM_CFLAGS = $(WERROR_CFLAGS) $(WARN_CFLAGS)
d73f39ee 823AM_CPPFLAGS = -I$(srcroot)/include $(SIM_INLINE) -I$(srcdir)/common
c2783492
MF
824COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
825LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
5bea0c32
MF
826
827# Deps to add to the all-recursive target. These are built before descending
828# into any subdirs.
829
830# This makes sure common parts are available before building the arch-subdirs
831# which will refer to these.
832SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
92bc001e
MF
833pkginclude_HEADERS = \
834 $(srcroot)/include/sim/callback.h \
835 $(srcroot)/include/sim/sim.h
836
dd8e16ea
MF
837common_libcommon_a_CPPFLAGS = \
838 $(AM_CPPFLAGS) \
839 -DSIM_COMMON_BUILD \
840 -I../bfd \
841 -I..
842
5bea0c32 843common_libcommon_a_SOURCES = \
ad9cc209 844 common/portability.c \
dd8e16ea 845 common/sim-load.c \
5bea0c32
MF
846 common/version.c
847
b6b1c790
MF
848@SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
849@SIM_ENABLE_IGEN_TRUE@ igen/table.c \
850@SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
851@SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
852@SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
853@SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
854@SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
855@SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
856@SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
857@SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
858@SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
859@SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
860@SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
861@SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
862@SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
863@SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
864@SIM_ENABLE_IGEN_TRUE@ igen/gen.c
865
866@SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
867@SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
868@SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
869@SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
870@SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
871@SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
872@SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
873@SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
874@SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
875@SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
876@SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
877@SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
878@SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
879@SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
880@SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
881@SIM_ENABLE_IGEN_TRUE@ igen/igen \
882@SIM_ENABLE_IGEN_TRUE@ igen/filter \
883@SIM_ENABLE_IGEN_TRUE@ igen/gen \
884@SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
885@SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
886@SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
887@SIM_ENABLE_IGEN_TRUE@ igen/table
888
6c57b87f
MF
889
890# Tweak the site.exp so it works with plain `runtest` from user.
891EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
a389375f
MF
892testsuite_common_CPPFLAGS = \
893 -I$(srcdir)/common \
0d315c88
DD
894 -I$(srcroot)/include \
895 -I../bfd
a389375f 896
b15c5d7a
MF
897all: config.h
898 $(MAKE) $(AM_MAKEFLAGS) all-recursive
6bddc3e8
MF
899
900.SUFFIXES:
b5689863 901.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
6bddc3e8
MF
902am--refresh: Makefile
903 @:
5bea0c32 904$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
6bddc3e8
MF
905 @for dep in $?; do \
906 case '$(am__configure_deps)' in \
907 *$$dep*) \
908 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
909 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
910 && exit 0; \
911 exit 1;; \
912 esac; \
913 done; \
914 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
915 $(am__cd) $(top_srcdir) && \
916 $(AUTOMAKE) --foreign Makefile
917Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
918 @case '$?' in \
919 *config.status*) \
920 echo ' $(SHELL) ./config.status'; \
921 $(SHELL) ./config.status;; \
922 *) \
923 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
924 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
925 esac;
5bea0c32 926$(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
6bddc3e8
MF
927
928$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
929 $(SHELL) ./config.status --recheck
c906108c 930
8c379db2 931$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
6bddc3e8 932 $(am__cd) $(srcdir) && $(AUTOCONF)
8c379db2 933$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
6bddc3e8
MF
934 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
935$(am__aclocal_m4_deps):
6bddc3e8 936
b15c5d7a
MF
937config.h: stamp-h1
938 @test -f $@ || rm -f stamp-h1
939 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
940
941stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
942 @rm -f stamp-h1
943 cd $(top_builddir) && $(SHELL) ./config.status config.h
944$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
945 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
946 rm -f stamp-h1
947 touch $@
948
949distclean-hdr:
950 -rm -f config.h stamp-h1
36bb57e4
MF
951Make-common.sim: $(top_builddir)/config.status $(top_srcdir)/common/Make-common.in
952 cd $(top_builddir) && $(SHELL) ./config.status $@
953aarch64/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/aarch64/Makefile.in
954 cd $(top_builddir) && $(SHELL) ./config.status $@
955arm/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/arm/Makefile.in
956 cd $(top_builddir) && $(SHELL) ./config.status $@
957avr/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/avr/Makefile.in
958 cd $(top_builddir) && $(SHELL) ./config.status $@
d8b04da7
MF
959bfin/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/bfin/Makefile.in
960 cd $(top_builddir) && $(SHELL) ./config.status $@
36bb57e4
MF
961cr16/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cr16/Makefile.in
962 cd $(top_builddir) && $(SHELL) ./config.status $@
408a44aa
MF
963cris/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cris/Makefile.in
964 cd $(top_builddir) && $(SHELL) ./config.status $@
36bb57e4
MF
965d10v/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/d10v/Makefile.in
966 cd $(top_builddir) && $(SHELL) ./config.status $@
408a44aa
MF
967frv/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/frv/Makefile.in
968 cd $(top_builddir) && $(SHELL) ./config.status $@
36bb57e4
MF
969ft32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/ft32/Makefile.in
970 cd $(top_builddir) && $(SHELL) ./config.status $@
971h8300/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/h8300/Makefile.in
972 cd $(top_builddir) && $(SHELL) ./config.status $@
408a44aa
MF
973iq2000/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/iq2000/Makefile.in
974 cd $(top_builddir) && $(SHELL) ./config.status $@
975lm32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/lm32/Makefile.in
976 cd $(top_builddir) && $(SHELL) ./config.status $@
36bb57e4
MF
977m32c/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m32c/Makefile.in
978 cd $(top_builddir) && $(SHELL) ./config.status $@
313c332f
MF
979m32r/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m32r/Makefile.in
980 cd $(top_builddir) && $(SHELL) ./config.status $@
36bb57e4
MF
981m68hc11/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m68hc11/Makefile.in
982 cd $(top_builddir) && $(SHELL) ./config.status $@
983mcore/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/mcore/Makefile.in
984 cd $(top_builddir) && $(SHELL) ./config.status $@
985microblaze/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/microblaze/Makefile.in
986 cd $(top_builddir) && $(SHELL) ./config.status $@
987moxie/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/moxie/Makefile.in
988 cd $(top_builddir) && $(SHELL) ./config.status $@
989msp430/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/msp430/Makefile.in
990 cd $(top_builddir) && $(SHELL) ./config.status $@
991pru/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/pru/Makefile.in
992 cd $(top_builddir) && $(SHELL) ./config.status $@
993rl78/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rl78/Makefile.in
994 cd $(top_builddir) && $(SHELL) ./config.status $@
e173c80f
MF
995rx/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rx/Makefile.in
996 cd $(top_builddir) && $(SHELL) ./config.status $@
36bb57e4
MF
997sh/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/sh/Makefile.in
998 cd $(top_builddir) && $(SHELL) ./config.status $@
5d0b3088
MF
999erc32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/erc32/Makefile.in
1000 cd $(top_builddir) && $(SHELL) ./config.status $@
36bb57e4
MF
1001example-synacor/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/example-synacor/Makefile.in
1002 cd $(top_builddir) && $(SHELL) ./config.status $@
3f8414df
MF
1003arch-subdir.mk: $(top_builddir)/config.status $(srcdir)/arch-subdir.mk.in
1004 cd $(top_builddir) && $(SHELL) ./config.status $@
b15c5d7a 1005
b6b1c790
MF
1006clean-noinstLIBRARIES:
1007 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
5bea0c32
MF
1008common/$(am__dirstamp):
1009 @$(MKDIR_P) common
1010 @: > common/$(am__dirstamp)
1011common/$(DEPDIR)/$(am__dirstamp):
1012 @$(MKDIR_P) common/$(DEPDIR)
1013 @: > common/$(DEPDIR)/$(am__dirstamp)
ad9cc209
MF
1014common/common_libcommon_a-portability.$(OBJEXT): \
1015 common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp)
dd8e16ea
MF
1016common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
1017 common/$(DEPDIR)/$(am__dirstamp)
1018common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
5bea0c32
MF
1019 common/$(DEPDIR)/$(am__dirstamp)
1020
1021common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
1022 $(AM_V_at)-rm -f common/libcommon.a
1023 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
1024 $(AM_V_at)$(RANLIB) common/libcommon.a
b6b1c790
MF
1025igen/$(am__dirstamp):
1026 @$(MKDIR_P) igen
1027 @: > igen/$(am__dirstamp)
1028igen/$(DEPDIR)/$(am__dirstamp):
1029 @$(MKDIR_P) igen/$(DEPDIR)
1030 @: > igen/$(DEPDIR)/$(am__dirstamp)
1031igen/table.$(OBJEXT): igen/$(am__dirstamp) \
1032 igen/$(DEPDIR)/$(am__dirstamp)
1033igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
1034igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
1035 igen/$(DEPDIR)/$(am__dirstamp)
1036igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
1037 igen/$(DEPDIR)/$(am__dirstamp)
1038igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
1039 igen/$(DEPDIR)/$(am__dirstamp)
1040igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
1041 igen/$(DEPDIR)/$(am__dirstamp)
1042igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
1043 igen/$(DEPDIR)/$(am__dirstamp)
1044igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
1045 igen/$(DEPDIR)/$(am__dirstamp)
1046igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
1047 igen/$(DEPDIR)/$(am__dirstamp)
1048igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
1049 igen/$(DEPDIR)/$(am__dirstamp)
1050igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
1051 igen/$(DEPDIR)/$(am__dirstamp)
1052igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
1053 igen/$(DEPDIR)/$(am__dirstamp)
1054igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
1055 igen/$(DEPDIR)/$(am__dirstamp)
1056igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
1057 igen/$(DEPDIR)/$(am__dirstamp)
1058igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
1059 igen/$(DEPDIR)/$(am__dirstamp)
1060igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
1061 igen/$(DEPDIR)/$(am__dirstamp)
1062
aa0fca16
MF
1063@SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1064@SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
1065@SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1066@SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
b6b1c790 1067
a389375f 1068clean-checkPROGRAMS:
b5689863
MF
1069 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
1070 echo " rm -f" $$list; \
1071 rm -f $$list || exit $$?; \
1072 test -n "$(EXEEXT)" || exit 0; \
1073 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1074 echo " rm -f" $$list; \
1075 rm -f $$list
a389375f 1076
b6b1c790
MF
1077igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
1078 @rm -f igen/filter$(EXEEXT)
1079 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
1080
1081igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
1082 @rm -f igen/gen$(EXEEXT)
1083 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
1084igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
1085 igen/$(DEPDIR)/$(am__dirstamp)
1086
1087@SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1088@SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
1089@SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
1090
1091igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
1092 @rm -f igen/ld-cache$(EXEEXT)
1093 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
1094
1095igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
1096 @rm -f igen/ld-decode$(EXEEXT)
1097 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
1098
1099igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
1100 @rm -f igen/ld-insn$(EXEEXT)
1101 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
1102
1103igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
1104 @rm -f igen/table$(EXEEXT)
1105 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
a389375f
MF
1106testsuite/common/$(am__dirstamp):
1107 @$(MKDIR_P) testsuite/common
1108 @: > testsuite/common/$(am__dirstamp)
1109testsuite/common/$(DEPDIR)/$(am__dirstamp):
1110 @$(MKDIR_P) testsuite/common/$(DEPDIR)
1111 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
1112testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1113 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1114testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1115 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1116testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1117 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1118testsuite/common/bits32m31.$(OBJEXT): \
1119 testsuite/common/$(am__dirstamp) \
1120 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1121testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1122 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1123testsuite/common/bits64m63.$(OBJEXT): \
1124 testsuite/common/$(am__dirstamp) \
1125 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1126testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1127 testsuite/common/$(DEPDIR)/$(am__dirstamp)
b6b1c790
MF
1128
1129mostlyclean-compile:
1130 -rm -f *.$(OBJEXT)
5bea0c32 1131 -rm -f common/*.$(OBJEXT)
b6b1c790 1132 -rm -f igen/*.$(OBJEXT)
a389375f 1133 -rm -f testsuite/common/*.$(OBJEXT)
b6b1c790
MF
1134
1135distclean-compile:
1136 -rm -f *.tab.c
1137
ad9cc209 1138@AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@
dd8e16ea
MF
1139@AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
1140@AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
b6b1c790
MF
1141@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
1142@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
1143@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
1144@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
1145@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
1146@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
1147@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
1148@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1149@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1150@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1151@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1152@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1153@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1154@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1155@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1156@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1157@AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
a389375f
MF
1158@AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1159@AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1160@AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1161@AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1162@AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1163@AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1164@AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
b6b1c790
MF
1165
1166.c.o:
1167@am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1168@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1169@am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1170@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1171@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1172@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1173
1174.c.obj:
1175@am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1176@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1177@am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1178@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1179@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1180@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
dd8e16ea 1181
b5689863
MF
1182.c.lo:
1183@am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1184@am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1185@am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1186@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1187@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1188@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1189
ad9cc209
MF
1190common/common_libcommon_a-portability.o: common/portability.c
1191@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1192@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1193@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@
1194@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1195@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1196
1197common/common_libcommon_a-portability.obj: common/portability.c
1198@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1199@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1200@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@
1201@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1202@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1203
dd8e16ea
MF
1204common/common_libcommon_a-sim-load.o: common/sim-load.c
1205@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1206@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1207@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1208@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1209@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1210
1211common/common_libcommon_a-sim-load.obj: common/sim-load.c
1212@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1213@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1214@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1215@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1216@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1217
1218common/common_libcommon_a-version.o: common/version.c
1219@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1220@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1221@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1222@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1223@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1224
1225common/common_libcommon_a-version.obj: common/version.c
1226@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1227@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1228@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1229@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1230@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
b5689863
MF
1231
1232mostlyclean-libtool:
1233 -rm -f *.lo
1234
1235clean-libtool:
1236 -rm -rf .libs _libs
1237 -rm -rf igen/.libs igen/_libs
1238 -rm -rf testsuite/common/.libs testsuite/common/_libs
1239
1240distclean-libtool:
1241 -rm -f libtool config.lt
92bc001e
MF
1242install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1243 @$(NORMAL_INSTALL)
1244 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1245 if test -n "$$list"; then \
1246 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1247 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1248 fi; \
1249 for p in $$list; do \
1250 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1251 echo "$$d$$p"; \
1252 done | $(am__base_list) | \
1253 while read files; do \
1254 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1255 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1256 done
1257
1258uninstall-pkgincludeHEADERS:
1259 @$(NORMAL_UNINSTALL)
1260 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1261 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1262 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
b6b1c790 1263
6bddc3e8
MF
1264# This directory's subdirectories are mostly independent; you can cd
1265# into them and run 'make' without going through this Makefile.
1266# To change the values of 'make' variables: instead of editing Makefiles,
1267# (1) if the variable is set in 'config.status', edit 'config.status'
1268# (which will cause the Makefiles to be regenerated when you run 'make');
1269# (2) otherwise, pass the desired values on the 'make' command line.
1270$(am__recursive_targets):
1271 @fail=; \
1272 if $(am__make_keepgoing); then \
1273 failcom='fail=yes'; \
1274 else \
1275 failcom='exit 1'; \
1276 fi; \
1277 dot_seen=no; \
1278 target=`echo $@ | sed s/-recursive//`; \
1279 case "$@" in \
1280 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1281 *) list='$(SUBDIRS)' ;; \
1282 esac; \
1283 for subdir in $$list; do \
1284 echo "Making $$target in $$subdir"; \
1285 if test "$$subdir" = "."; then \
1286 dot_seen=yes; \
1287 local_target="$$target-am"; \
1288 else \
1289 local_target="$$target"; \
1290 fi; \
1291 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1292 || eval $$failcom; \
1293 done; \
1294 if test "$$dot_seen" = "no"; then \
1295 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1296 fi; test -z "$$fail"
1297
1298ID: $(am__tagged_files)
1299 $(am__define_uniq_tagged_files); mkid -fID $$unique
1300tags: tags-recursive
1301TAGS: tags
1302
1303tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1304 set x; \
1305 here=`pwd`; \
1306 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1307 include_option=--etags-include; \
1308 empty_fix=.; \
1309 else \
1310 include_option=--include; \
1311 empty_fix=; \
1312 fi; \
1313 list='$(SUBDIRS)'; for subdir in $$list; do \
1314 if test "$$subdir" = .; then :; else \
1315 test ! -f $$subdir/TAGS || \
1316 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1317 fi; \
1318 done; \
1319 $(am__define_uniq_tagged_files); \
1320 shift; \
1321 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1322 test -n "$$unique" || unique=$$empty_fix; \
1323 if test $$# -gt 0; then \
1324 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1325 "$$@" $$unique; \
1326 else \
1327 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1328 $$unique; \
1329 fi; \
1330 fi
1331ctags: ctags-recursive
1332
1333CTAGS: ctags
1334ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1335 $(am__define_uniq_tagged_files); \
1336 test -z "$(CTAGS_ARGS)$$unique" \
1337 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1338 $$unique
1339
1340GTAGS:
1341 here=`$(am__cd) $(top_builddir) && pwd` \
1342 && $(am__cd) $(top_srcdir) \
1343 && gtags -i $(GTAGS_ARGS) "$$here"
1344cscope: cscope.files
1345 test ! -s cscope.files \
1346 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1347clean-cscope:
1348 -rm -f cscope.files
1349cscope.files: clean-cscope cscopelist
1350cscopelist: cscopelist-recursive
1351
1352cscopelist-am: $(am__tagged_files)
1353 list='$(am__tagged_files)'; \
1354 case "$(srcdir)" in \
1355 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1356 *) sdir=$(subdir)/$(srcdir) ;; \
1357 esac; \
1358 for i in $$list; do \
1359 if test -f "$$i"; then \
1360 echo "$(subdir)/$$i"; \
1361 else \
1362 echo "$$sdir/$$i"; \
1363 fi; \
1364 done >> $(top_builddir)/cscope.files
1365
1366distclean-tags:
1367 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1368 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
6c57b87f
MF
1369site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1370 @echo 'Making a new site.exp file ...'
1371 @echo '## these variables are automatically generated by make ##' >site.tmp
1372 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1373 @echo '# edit the last section' >>site.tmp
1374 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1375 @echo "set objdir `pwd`" >>site.tmp
1376 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1377 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1378 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1379 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1380 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1381 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1382 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1383 echo "## Begin content included from file $$f. Do not modify. ##" \
1384 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1385 && echo "## End content included from file $$f. ##" \
1386 || exit 1; \
1387 done >> site.tmp
1388 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1389 @if test -f site.exp; then \
1390 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1391 fi
1392 @-rm -f site.bak
1393 @test ! -f site.exp || mv site.exp site.bak
1394 @mv site.tmp site.exp
1395
1396distclean-DEJAGNU:
1397 -rm -f site.exp site.bak
1398 -l='$(DEJATOOL)'; for tool in $$l; do \
1399 rm -f $$tool.sum $$tool.log; \
1400 done
a389375f
MF
1401
1402# Recover from deleted '.trs' file; this should ensure that
1403# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1404# both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1405# to avoid problems with "make -n".
1406.log.trs:
1407 rm -f $< $@
1408 $(MAKE) $(AM_MAKEFLAGS) $<
1409
1410# Leading 'am--fnord' is there to ensure the list of targets does not
1411# expand to empty, as could happen e.g. with make check TESTS=''.
1412am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1413am--force-recheck:
1414 @:
1415
1416$(TEST_SUITE_LOG): $(TEST_LOGS)
1417 @$(am__set_TESTS_bases); \
1418 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1419 redo_bases=`for i in $$bases; do \
1420 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1421 done`; \
1422 if test -n "$$redo_bases"; then \
1423 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1424 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1425 if $(am__make_dryrun); then :; else \
1426 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1427 fi; \
1428 fi; \
1429 if test -n "$$am__remaking_logs"; then \
1430 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1431 "recursion detected" >&2; \
1432 elif test -n "$$redo_logs"; then \
1433 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1434 fi; \
1435 if $(am__make_dryrun); then :; else \
1436 st=0; \
1437 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1438 for i in $$redo_bases; do \
1439 test -f $$i.trs && test -r $$i.trs \
1440 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1441 test -f $$i.log && test -r $$i.log \
1442 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1443 done; \
1444 test $$st -eq 0 || exit 1; \
1445 fi
1446 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1447 ws='[ ]'; \
1448 results=`for b in $$bases; do echo $$b.trs; done`; \
1449 test -n "$$results" || results=/dev/null; \
1450 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1451 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1452 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1453 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1454 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1455 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1456 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1457 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1458 success=true; \
1459 else \
1460 success=false; \
1461 fi; \
1462 br='==================='; br=$$br$$br$$br$$br; \
1463 result_count () \
1464 { \
1465 if test x"$$1" = x"--maybe-color"; then \
1466 maybe_colorize=yes; \
1467 elif test x"$$1" = x"--no-color"; then \
1468 maybe_colorize=no; \
1469 else \
1470 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1471 fi; \
1472 shift; \
1473 desc=$$1 count=$$2; \
1474 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1475 color_start=$$3 color_end=$$std; \
1476 else \
1477 color_start= color_end=; \
1478 fi; \
1479 echo "$${color_start}# $$desc $$count$${color_end}"; \
1480 }; \
1481 create_testsuite_report () \
1482 { \
1483 result_count $$1 "TOTAL:" $$all "$$brg"; \
1484 result_count $$1 "PASS: " $$pass "$$grn"; \
1485 result_count $$1 "SKIP: " $$skip "$$blu"; \
1486 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1487 result_count $$1 "FAIL: " $$fail "$$red"; \
1488 result_count $$1 "XPASS:" $$xpass "$$red"; \
1489 result_count $$1 "ERROR:" $$error "$$mgn"; \
1490 }; \
1491 { \
1492 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1493 $(am__rst_title); \
1494 create_testsuite_report --no-color; \
1495 echo; \
1496 echo ".. contents:: :depth: 2"; \
1497 echo; \
1498 for b in $$bases; do echo $$b; done \
1499 | $(am__create_global_log); \
1500 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1501 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1502 if $$success; then \
1503 col="$$grn"; \
1504 else \
1505 col="$$red"; \
1506 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1507 fi; \
1508 echo "$${col}$$br$${std}"; \
1509 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1510 echo "$${col}$$br$${std}"; \
1511 create_testsuite_report --maybe-color; \
1512 echo "$$col$$br$$std"; \
1513 if $$success; then :; else \
1514 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1515 if test -n "$(PACKAGE_BUGREPORT)"; then \
1516 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1517 fi; \
1518 echo "$$col$$br$$std"; \
1519 fi; \
1520 $$success || exit 1
1521
1522check-TESTS:
1523 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1524 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1525 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1526 @set +e; $(am__set_TESTS_bases); \
1527 log_list=`for i in $$bases; do echo $$i.log; done`; \
1528 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1529 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1530 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1531 exit $$?;
1532recheck: all $(check_PROGRAMS)
1533 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1534 @set +e; $(am__set_TESTS_bases); \
1535 bases=`for i in $$bases; do echo $$i; done \
1536 | $(am__list_recheck_tests)` || exit 1; \
1537 log_list=`for i in $$bases; do echo $$i.log; done`; \
1538 log_list=`echo $$log_list`; \
1539 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1540 am__force_recheck=am--force-recheck \
1541 TEST_LOGS="$$log_list"; \
1542 exit $$?
1543testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1544 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1545 b='testsuite/common/bits32m0'; \
1546 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1547 --log-file $$b.log --trs-file $$b.trs \
1548 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1549 "$$tst" $(AM_TESTS_FD_REDIRECT)
1550testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1551 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1552 b='testsuite/common/bits32m31'; \
1553 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1554 --log-file $$b.log --trs-file $$b.trs \
1555 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1556 "$$tst" $(AM_TESTS_FD_REDIRECT)
1557testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1558 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1559 b='testsuite/common/bits64m0'; \
1560 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1561 --log-file $$b.log --trs-file $$b.trs \
1562 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1563 "$$tst" $(AM_TESTS_FD_REDIRECT)
1564testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1565 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1566 b='testsuite/common/bits64m63'; \
1567 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1568 --log-file $$b.log --trs-file $$b.trs \
1569 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1570 "$$tst" $(AM_TESTS_FD_REDIRECT)
1571testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1572 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1573 b='testsuite/common/alu-tst'; \
1574 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1575 --log-file $$b.log --trs-file $$b.trs \
1576 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1577 "$$tst" $(AM_TESTS_FD_REDIRECT)
1578.test.log:
1579 @p='$<'; \
1580 $(am__set_b); \
1581 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1582 --log-file $$b.log --trs-file $$b.trs \
1583 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1584 "$$tst" $(AM_TESTS_FD_REDIRECT)
1585@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1586@am__EXEEXT_TRUE@ @p='$<'; \
1587@am__EXEEXT_TRUE@ $(am__set_b); \
1588@am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1589@am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1590@am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1591@am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
6bddc3e8 1592check-am: all-am
a389375f
MF
1593 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1594 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
6bddc3e8 1595check: check-recursive
b15c5d7a 1596all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
6bddc3e8
MF
1597installdirs: installdirs-recursive
1598installdirs-am:
92bc001e
MF
1599 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1600 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1601 done
6bddc3e8
MF
1602install: install-recursive
1603install-exec: install-exec-recursive
1604install-data: install-data-recursive
1605uninstall: uninstall-recursive
1606
1607install-am: all-am
1608 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1609
1610installcheck: installcheck-recursive
1611install-strip:
1612 if test -z '$(STRIP)'; then \
1613 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1614 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1615 install; \
1616 else \
1617 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1618 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1619 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1620 fi
1621mostlyclean-generic:
1622 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
a389375f
MF
1623 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1624 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1625 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
c906108c 1626
6bddc3e8 1627clean-generic:
a389375f 1628 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
c906108c 1629
6bddc3e8
MF
1630distclean-generic:
1631 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1632 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
5bea0c32
MF
1633 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1634 -rm -f common/$(am__dirstamp)
b6b1c790
MF
1635 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1636 -rm -f igen/$(am__dirstamp)
a389375f
MF
1637 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1638 -rm -f testsuite/common/$(am__dirstamp)
1639 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
c906108c 1640
6bddc3e8
MF
1641maintainer-clean-generic:
1642 @echo "This command is intended for maintainers to use"
1643 @echo "it deletes files that may require special tools to rebuild."
1644clean: clean-recursive
c906108c 1645
b5689863
MF
1646clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1647 clean-noinstLIBRARIES mostlyclean-am
c906108c 1648
6bddc3e8
MF
1649distclean: distclean-recursive
1650 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
5bea0c32 1651 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
6bddc3e8 1652 -rm -f Makefile
b6b1c790 1653distclean-am: clean-am distclean-DEJAGNU distclean-compile \
b5689863
MF
1654 distclean-generic distclean-hdr distclean-libtool \
1655 distclean-tags
c906108c 1656
6bddc3e8 1657dvi: dvi-recursive
c906108c 1658
6bddc3e8 1659dvi-am:
c906108c 1660
6bddc3e8 1661html: html-recursive
c906108c 1662
6bddc3e8 1663html-am:
c906108c 1664
6bddc3e8
MF
1665info: info-recursive
1666
1667info-am:
1668
92bc001e 1669install-data-am: install-pkgincludeHEADERS
6bddc3e8
MF
1670
1671install-dvi: install-dvi-recursive
1672
1673install-dvi-am:
1674
1675install-exec-am:
1676
1677install-html: install-html-recursive
1678
1679install-html-am:
1680
1681install-info: install-info-recursive
1682
1683install-info-am:
1684
1685install-man:
1686
1687install-pdf: install-pdf-recursive
1688
1689install-pdf-am:
1690
1691install-ps: install-ps-recursive
1692
1693install-ps-am:
1694
1695installcheck-am:
1696
1697maintainer-clean: maintainer-clean-recursive
1698 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1699 -rm -rf $(top_srcdir)/autom4te.cache
5bea0c32 1700 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
6bddc3e8
MF
1701 -rm -f Makefile
1702maintainer-clean-am: distclean-am maintainer-clean-generic
1703
1704mostlyclean: mostlyclean-recursive
1705
b5689863
MF
1706mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1707 mostlyclean-libtool
6bddc3e8
MF
1708
1709pdf: pdf-recursive
1710
1711pdf-am:
1712
1713ps: ps-recursive
1714
1715ps-am:
1716
92bc001e 1717uninstall-am: uninstall-pkgincludeHEADERS
6bddc3e8 1718
b15c5d7a 1719.MAKE: $(am__recursive_targets) all check-am install-am install-strip
6bddc3e8
MF
1720
1721.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
a389375f 1722 am--refresh check check-DEJAGNU check-TESTS check-am clean \
b5689863 1723 clean-checkPROGRAMS clean-cscope clean-generic clean-libtool \
a389375f
MF
1724 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1725 distclean distclean-DEJAGNU distclean-compile \
b5689863
MF
1726 distclean-generic distclean-hdr distclean-libtool \
1727 distclean-tags dvi dvi-am html html-am info info-am install \
1728 install-am install-data install-data-am install-dvi \
1729 install-dvi-am install-exec install-exec-am install-html \
1730 install-html-am install-info install-info-am install-man \
1731 install-pdf install-pdf-am install-pkgincludeHEADERS \
1732 install-ps install-ps-am install-strip installcheck \
1733 installcheck-am installdirs installdirs-am maintainer-clean \
1734 maintainer-clean-generic mostlyclean mostlyclean-compile \
1735 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1736 recheck tags tags-am uninstall uninstall-am \
92bc001e 1737 uninstall-pkgincludeHEADERS
6bddc3e8
MF
1738
1739.PRECIOUS: Makefile
c906108c 1740
c906108c 1741
5e25901f
MF
1742# Generate nltvals.def for newlib/libgloss using devo and build tree.
1743# This file is shipped with distributions so we build in the source dir.
1744# Use `make nltvals' to rebuild.
1745# Note: If gdb releases begin to contain target header files (not a good idea,
1746# but if they did ...), nltvals.def coud be generated at build time.
1747# An alternative is to slurp in the tables at runtime.
1748.PHONY: nltvals
1749nltvals:
6bddc3e8 1750 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
5e25901f
MF
1751 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1752
015f7b74
MF
1753common/version.c: common/version.c-stamp ; @true
1754common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
fbe8d1cf 1755 $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
015f7b74 1756 $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=)
fbe8d1cf 1757 $(AM_V_at)touch $@
b6b1c790
MF
1758
1759# Alias for developers.
1760@SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1761
aa0fca16
MF
1762# These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1763@SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1764@SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1765@SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1766@SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1767
b6b1c790
MF
1768@SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1769@SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1770
1771# igen is a build-time only tool. Override the default rules for it.
1772@SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1773@SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1774
1775# Build some of the files in standalone mode for developers of igen itself.
1776@SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1777@SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1778
6c57b87f
MF
1779site-srcdir.exp: Makefile
1780 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1781
1782check-DEJAGNU: site.exp
1783 LC_ALL=C; export LC_ALL; \
1784 EXPECT=${EXPECT} ; export EXPECT ; \
1785 runtest=$(RUNTEST); \
1786 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1787 $$runtest $(RUNTESTFLAGS); \
1788 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1789 fi
1790
a389375f
MF
1791# These tests are build-time only tools. Override the default rules for them.
1792testsuite/common/%.o: testsuite/common/%.c
1793 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1794
1795testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1796 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1797
1798testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1799 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1800
1801testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1802 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1803
1804testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1805 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1806
1807testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
fbe8d1cf
MF
1808 $(AM_V_GEN)$< 32 0 big > $@.tmp
1809 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1810 $(AM_V_at)mv $@.tmp $@
a389375f
MF
1811
1812testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1813 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1814
1815testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
fbe8d1cf
MF
1816 $(AM_V_GEN)$< 32 31 little > $@.tmp
1817 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1818 $(AM_V_at)mv $@.tmp $@
a389375f
MF
1819
1820testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1821 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1822
1823testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
fbe8d1cf
MF
1824 $(AM_V_GEN)$< 64 0 big > $@.tmp
1825 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1826 $(AM_V_at)mv $@.tmp $@
a389375f
MF
1827
1828testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1829 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1830
1831testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
fbe8d1cf
MF
1832 $(AM_V_GEN)$< 64 63 little > $@.tmp
1833 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1834 $(AM_V_at)mv $@.tmp $@
a389375f 1835
5bea0c32
MF
1836all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1837
6bddc3e8
MF
1838# Tell versions [3.59,3.63) of GNU make to not export all variables.
1839# Otherwise a system limit (for SysV at least) may be exceeded.
1840.NOEXPORT:
This page took 1.155638 seconds and 4 git commands to generate.